import org.apache.axis.client.Call;
import org.apache.axis.client.Service;
import javax.xml.namespace.QName;
import java.io.*;
import java.net.URL;
import com.agiledeveloper.www.ws.*;

public class Client
{
	public static void main(String [] args) 
	{
		try 
		{
			System.out.print("Enter Person's Last Name:");
			
			BufferedReader reader = new BufferedReader(new InputStreamReader(System.in));
			
			String lastName = reader.readLine();

			InformationProvider service = new InformationProviderLocator();
			InformationProviderSoap port = service.getInformationProviderSoap();
			String fullName = port.getFullName(lastName);
			String info = port.getRecord(lastName);

			System.out.println("Details reterived on " + lastName);
			System.out.println("Full Name:" + fullName);
			System.out.println("Information on record: " + info);
         	}
		catch (Exception e) 
		{
             		System.err.println(e.toString());
		}
	}
}